jQuery(function () {
	"use strict";
    
    /*global jQuery, $*/
	$(document).ready(function(){
		$('.bxslider').bxSlider({
			mode: 'vertical',
			auto: true,
			controls: false,
		});	
        /*==================================
            animated header 
        ====================================*/
        $(window).scroll(function() {
            if ($(this).scrollTop() > 1){  
                $('.navbar').addClass("sticky");
            }
            else{
                $('.navbar').removeClass("sticky");
            }
        });
		/* =================================
		   ONE PAGE NAV                     
		=================================== */			
        $('.nav').onePageNav({
            scrollThreshold: 0.5, // Adjust if Navigation highlights too early or too late
            scrollSpeed: 1000,
            scrollOffset: 60 //Height of Navigation Bar
        });        
        /*==================================
            click to collapse menu 
        ====================================*/        
        $(".navbar-nav li a").click(function (event) {
            // check if window is small enough so dropdown is created
            var toggle = $(".navbar-toggle").is(":visible");
            if (toggle) {
                $(".navbar-collapse").collapse('hide');
            }
        });
		/* =================================
		   COUNTER                     
		=================================== */       
        $('.counter').counterUp({
            delay: 10,
            time: 1000
        }); 
 		/* =================================
		   SKILL                     
		=================================== */         
        $('.dial').each(function () { 
            $(this).appear(function() {
              var elm = $(this);
              var color = elm.attr("data-fgColor");  
              var perc = elm.attr("value");  

              elm.knob({ 
                'value': 0, 
                'min':0,
                'max':100,
                "skin":"tron",
                "readOnly":true,
                "thickness":.1,                 
                'dynamicDraw': true,               
                "displayInput":false,
                fgColor: '#2c3343'
              });

              $({value: 0}).animate({ value: perc }, {
                  duration: 1000,
                  easing: 'swing',
                  progress: function () {                 
                      elm.val(Math.ceil(this.value)).trigger('change')
                  }
              });

              //circular progress bar color
              $(this).append(function() {
                  elm.parent().parent().find('.circular-bar-content').css('color',color);
                  elm.parent().parent().find('.circular-bar-content label').text(perc+'%');
              });

              });
          });        
		/* =================================
		   OWL CAROUSEL                     
		=================================== */   
        var owl = $("#owl-demo");
        owl.owlCarousel({
            autoPlay: true,
            navigation : false,
            singleItem : true,
            transitionStyle : "fade"
        });

        //Select Transtion Type
        $("#transitionType").change(function(){
            var newValue = $(this).val();

            //TransitionTypes is owlCarousel inner method.
            owl.data("owlCarousel").transitionTypes(newValue);

            //After change type go to next slide
            owl.trigger("owl.next");
        });
 		/* =================================
		   PARALLAX                     
		=================================== */        
		$('#home').parallax("50%", 0.1);
		$('#funfact').parallax("50%", 0.1);
		$('#workprogress').parallax("50%", 0.4);
		$('#testimonial').parallax("50%", 0.3);        
		
	});

	/* =================================
	   PORTFOLIO MIXITUP                     
	=================================== */	
	$(function(){
	  $('.portfolios').mixItUp();
	});
	
    /* =================================
       NIVO LIGHTBOX                     
    =================================== */
    $('.single-portfolio a').nivoLightbox({
        effect: 'fadeScale'
    });    
	/*==============================
		FOR WOW 
	================================*/
	var wow = new WOW({ mobile: false });

	wow.init();
    
   /* =================================
===  CONTACT FORM               ====
=================================== */
    $("#contact").submit(function (e) {
        e.preventDefault();
        var name = $("#cf-name").val();
        var email = $("#cf-email").val();
        var subject = $("#cf-subject").val();
        var message = $("#cf-message").val();
        var dataString = 'name=' + name + '&email=' + email + '&subject=' + subject + '&message=' + message;

        function isValidEmail(emailAddress) {
            var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
            return pattern.test(emailAddress);
        };
        if (isValidEmail(email) && (message.length > 1) && (name.length > 1)) {
            $.ajax({
                type: "POST",
                url: "sendmail.php",
                data: dataString,
                success: function () {
                    $('.success').fadeIn(1000);
                    $('.error').fadeOut(500);
                }
            });
        }
        else {
            $('.error').fadeIn(1000);
            $('.success').fadeOut(500);
        }
        return false;
    });

	/* =================================
	   LOADER                     
	=================================== */
	// makes sure the whole site is loaded
	$(window).load(function() {
		"use strict";
			// will first fade out the loading animation
		$(".status").fadeOut();
			// will fade out the whole DIV that covers the website.
		$(".preloader").delay(1000).fadeOut("slow");
	})
	/* =================================
	   GOOGLE MAP                     
	=================================== */
	// When the window has finished loading create our google map below
	google.maps.event.addDomListener(window, 'load', init);

	function init() {
		// Basic options for a simple Google Map
		// For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
		var mapOptions = {
			// How zoomed in you want the map to start at (always required)
			zoom: 11,

			// The latitude and longitude to center the map (always required)
			center: new google.maps.LatLng(40.6700, -73.9400), // New York

			// How you would like to style the map. 
			// This is where you would paste any style found on Snazzy Maps.
			styles: [{"featureType":"water","elementType":"geometry","stylers":[{"color":"#e9e9e9"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffffff"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#ffffff"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#ffffff"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#f5f5f5"},{"lightness":21}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#dedede"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#ffffff"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#333333"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#f2f2f2"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#fefefe"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#fefefe"},{"lightness":17},{"weight":1.2}]}]
		};

		// Get the HTML DOM element that will contain your map 
		// We are using a div with id="map" seen below in the <body>
		var mapElement = document.getElementById('map');

		// Create the Google Map using our element and options defined above
		var map = new google.maps.Map(mapElement, mapOptions);

		// Let's also add a marker while we're at it
		var marker = new google.maps.Marker({
			position: new google.maps.LatLng(40.6700, -73.9400),
			map: map,
			title: 'Snazzy!'
		});
	}	
}());