	"use strict";
    
    /*global jQuery, $*/
	jQuery(document).ready(function(){
		
		jQuery('[data-toggle="tooltip"]').tooltip()
		
		inputCounter();
		
		//shop slides
		jQuery('.cart-product-slide').slick({
			dots: false,
			arrows: true,
			speed: 300
		});
		
		//shop slides
		jQuery('.shop-head-area').slick({
			dots: true,
			arrows: false,
			speed: 300
		});
		
		//project slides
		jQuery('.project-slides').slick({
			dots: true,
			arrows: false,
			speed: 300
		});
		
		//blog post slider
		jQuery('.blog-post-slider').slick({
			dots: true,
			arrows: false,
			speed: 300,
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1,
						infinite: true,
						dots: true
					}
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
				  }
				}
			]
		});
		
		//product slides
		jQuery('.product-slides').slick({
			dots: true,
			arrows: false,
			speed: 300,
			slidesToShow: 5,
			slidesToScroll: 1,
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: 3,
						slidesToScroll: 3,
						infinite: true,
						dots: true
					}
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 2,
						slidesToScroll: 2
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
				  }
				}
			]
		});
		
		//Service Slider
		jQuery('.service-slider').slick({
			dots: false,
			infinite: true,
			speed: 300,
			slidesToShow: 6,
			slidesToScroll: 6,
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: 4,
						slidesToScroll: 4,
						infinite: true,
					}
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 2,
						slidesToScroll: 2
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
				  }
				}
			]
		});
		
		//Portfolio Slider
		jQuery('.portfolio-slider').slick({
			dots: false,
			infinite: true,
			speed: 300,
			slidesToShow: 4,
			slidesToScroll: 1,
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: 4,
						slidesToScroll: 4,
						infinite: true,
						dots: false
					}
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 2,
						slidesToScroll: 2
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
				  }
				}
			]
		});
		
		// Product Preview slider
		jQuery('.product-preview-full').slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			fade: true,
			infinite: false,
			asNavFor: '.product-preview-nav'
		});
		jQuery('.product-preview-nav').slick({
			slidesToShow: 6,
			slidesToScroll: 1,
			asNavFor: '.product-preview-full',
			dots: false,
			infinite: false,
			vertical: true,
			focusOnSelect: true,
			responsive: [
				{
					breakpoint: 481,
					settings: {
						slidesToShow: 4,
						slidesToScroll: 1,
				  }
				},
				{
					breakpoint: 479,
					settings: {
						slidesToShow: 3,
						slidesToScroll: 1,
				  }
				},
			]
		});
		
		// Product Process slider
		jQuery('.product-process-content').slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			fade: true,
			asNavFor: '.product-process-nav'
		});
		jQuery('.product-process-nav').slick({
			slidesToShow: 5,
			slidesToScroll: 1,
			asNavFor: '.product-process-content',
			dots: false,
			vertical: true,
			focusOnSelect: true
		});
		
		// Testimonial slider
		jQuery('.testimonial-content').slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			fade: true,
			asNavFor: '.testimonial-nav'
		});
		jQuery('.testimonial-nav').slick({
			slidesToShow: 5,
			slidesToScroll: 1,
			asNavFor: '.testimonial-content',
			dots: false,
			centerMode: true,
			focusOnSelect: true,
			responsive: [
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 3,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 3,
						slidesToScroll: 1
				  }
				}
			]
		});

		jQuery('.teNav-item').on('click', function(e) {
			jQuery( ".teNav-item" ).removeClass("lavel2");
			jQuery( ".slick-current" ).next( ".teNav-item" ).addClass("lavel2");
			jQuery( ".slick-current" ).prev( ".teNav-item" ).addClass("lavel2");
		});
		
		//Masonry Products
		var $mProduct = jQuery(".masonry-product");

		$mProduct.imagesLoaded(function () {
			$mProduct.masonry({
				// options
				itemSelector: '.mShop-item'
			});
		});
		
		//Masonry Blog
		var $mBlog = jQuery(".masonry-blog");

		$mBlog.imagesLoaded(function () {
			$mBlog.masonry({
				// options
				itemSelector: '.mBlog-item'
			});
		});
		
		//Masonry Shop Category
		var $mScat = jQuery(".masonry-sCat");

		$mScat.imagesLoaded(function () {
			$mScat.masonry({
				// options
				itemSelector: '.sShop-cat'
			});
		});
		
		//Masonry Gallery
		var $mGallery = jQuery(".masonry-gallery");

		$mGallery.imagesLoaded(function () {
			$mGallery.masonry({
				// options
				itemSelector: '.mGallery-item'
			});
		});
		
		//Knob
		jQuery(".knob").knob({
			'draw' : function () { 
				jQuery(this.i).val(this.cv + '%')
			}
		});
		
		// Customize Select BOX
		jQuery('select').select2();
		
		// Image Pop up
		jQuery('.image-popup').magnificPopup({
			type: 'image',
			removalDelay: 300,
			mainClass: 'mfp-fade',
		});	
		
		// Embedded Pop up
		jQuery('.embedded-popup').magnificPopup({
			//disableOn: 700,
			type: 'iframe',
			mainClass: 'mfp-fade',
			removalDelay: 160,
			preloader: false,
			fixedContentPos: false
		});
		
		// Price Range
		
		jQuery(".priceRange").slider({ 
			min: 0, 
			max: 300, 
			range: true, 
			values: [48, 250] 
		})
							
		.slider("pips", {
			rest: false
		})		
		.slider("float");
		
		
		//Product Cart counter
		function inputCounter(){
			if (jQuery(".count-value").length > 0) {
				jQuery('.count-minus').on('click', function() {
					var $jinput = jQuery(this).parent().find('input');
					var count = parseInt($jinput.val()) - 1;
					count = count < 1 ? 1 : count;
					$jinput.val(count);
					$jinput.change();
					return false;
				});
				jQuery('.count-plus').on('click', function() {
					var $jinput = jQuery(this).parent().find('input');
					$jinput.val(parseInt($jinput.val()) + 1);
					$jinput.change();
					return false;
				});
			}	
		}
		

	});
	
	//JS for Scroll section to section

	jQuery(window).on('scroll', function() {
		parallax();
	});
	
	jQuery('a.back-to-top').on('click', function() { // code
		jQuery('html, body').animate({ scrollTop:jQuery('#top').offset().top - 80 }, 1000, // animation Speed
		function() {
			parallax();
		});
		return false;
	});

	function parallax() {
		 jQuery(window).scrollTop();
	}


	
	